Subject: [MOBILE-IP] The prefix length extension

From: Marcello Lioy <[email-masked]>
Date: Thu, 26 Oct 2000 18:09:59 -0700

This may seem a naive question but here goes anyway:

How can the addresses in a router advertisement message have different
prefix lengths?  Shouldn't the addresses that are advertised in these
messages all be on interfaces on the subnet in question?  Doesn't that
imply that they all have the same network prefix length?

What am I missing?

Also why doesn't the prefix length extension refer to the care-of-addresses
rather than the router addresses?

----------------------------------------------------------------------
Marcello Lioy                                          Voice:   x18220
AA-318A                                                Pager: 635-0867